Subject: Offline Message from yamama: Hi, It's been almost a month since I requested a
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 07:17:06 -0000

From: yamama <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/history/
Department: 

Hi, It's been almost a month since I requested a refund for my order 100135621 and still no one contacted me until now. Last time I contacted you on live chat, the representative told me she'll be emailing me sometime this week, but i never received any emails... So what are the updates regarding my refund?? 

----
Zopim
https://www.zopim.com